diff --git a/src/providers/ldap/sdap_async_initgroups.c b/src/providers/ldap/sdap_async_initgroups.c
index e8de8d5..5ea11a0 100644
--- a/src/providers/ldap/sdap_async_initgroups.c
+++ b/src/providers/ldap/sdap_async_initgroups.c
@@ -69,7 +69,7 @@ static errno_t sdap_add_incomplete_groups(struct sysdb_ctx *sysdb,
         tmp_name = sss_get_domain_name(tmp_ctx, groupnames[i], domain);
         if (tmp_name == NULL) {
             DEBUG(SSSDBG_OP_FAILURE,
-                  ("Failed to format original name [%s]\n", groupnames[i]));
+                  "Failed to format original name [%s]\n", groupnames[i]);
             ret = ENOMEM;
             goto done;
         }
@@ -80,14 +80,14 @@ static errno_t sdap_add_incomplete_groups(struct sysdb_ctx *sysdb,
             continue;
         } else if (ret == ENOENT) {
             missing[mi] = talloc_steal(missing, tmp_name);
-            DEBUG(7, ("Group #%d [%s][%s] is not cached, " \
+            DEBUG(7, "Group #%d [%s][%s] is not cached, " \
                       "need to add a fake entry\n",
-                      i, groupnames[i], missing[mi]));
+                      i, groupnames[i], missing[mi]);
             mi++;
             continue;
         } else if (ret != ENOENT) {
-            DEBUG(1, ("search for group failed [%d]: %s\n",
-                      ret, strerror(ret)));
+            DEBUG(1, "search for group failed [%d]: %s\n",
+                      ret, strerror(ret));
             goto done;
         }
     }
@@ -105,8 +105,8 @@ static errno_t sdap_add_incomplete_groups(struct sysdb_ctx *sysdb,
     ret = sysdb_transaction_start(sysdb);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Cannot start sysdb transaction [%d]: %s\n",
-               ret, strerror(ret)));
+              "Cannot start sysdb transaction [%d]: %s\n",
+               ret, strerror(ret));
         goto done;
     }
     in_transaction = true;
@@ -120,7 +120,7 @@ static errno_t sdap_add_incomplete_groups(struct sysdb_ctx *sysdb,
                                               domain, &groupname);
             if (ret != EOK) {
                 DEBUG(SSSDBG_CRIT_FAILURE,
-                      ("The group has no name attribute\n"));
+                      "The group has no name attribute\n");
                 goto done;
             }
 
@@ -135,35 +135,35 @@ static errno_t sdap_add_incomplete_groups(struct sysdb_ctx *sysdb,
 
                 if (use_id_mapping) {
                     if (sid_str == NULL) {
-                        DEBUG(SSSDBG_MINOR_FAILURE, ("No SID for group [%s] " \
+                        DEBUG(SSSDBG_MINOR_FAILURE, "No SID for group [%s] " \
                                                      "while id-mapping.\n",
-                                                     groupname));
+                                                     groupname);
                         ret = EINVAL;
                         goto done;
                     }
 
                     DEBUG(SSSDBG_TRACE_LIBS,
-                          ("Mapping group [%s] objectSID to unix ID\n", groupname));
+                          "Mapping group [%s] objectSID to unix ID\n", groupname);
 
                     DEBUG(SSSDBG_TRACE_INTERNAL,
-                          ("Group [%s] has objectSID [%s]\n",
-                           groupname, sid_str));
+                          "Group [%s] has objectSID [%s]\n",
+                           groupname, sid_str);
 
                     /* Convert the SID into a UNIX group ID */
                     ret = sdap_idmap_sid_to_unix(opts->idmap_ctx, sid_str,
                                                  &gid);
                     if (ret == EOK) {
                         DEBUG(SSSDBG_TRACE_INTERNAL,
-                              ("Group [%s] has mapped gid [%lu]\n",
-                               groupname, (unsigned long)gid));
+                              "Group [%s] has mapped gid [%lu]\n",
+                               groupname, (unsigned long)gid);
                     } else {
                         posix = false;
                         gid = 0;
 
                         DEBUG(SSSDBG_TRACE_INTERNAL,
-                              ("Group [%s] cannot be mapped. "
+                              "Group [%s] cannot be mapped. "
                                "Treating as a non-POSIX group\n",
-                               groupname));
+                               groupname);
                     }
 
                 } else {
@@ -171,15 +171,15 @@ static errno_t sdap_add_incomplete_groups(struct sysdb_ctx *sysdb,
                                                    SYSDB_GIDNUM,
                                                    &gid);
                     if (ret == ENOENT || (ret == EOK && gid == 0)) {
-                        DEBUG(SSSDBG_TRACE_LIBS, ("The group %s gid was %s\n",
-                              groupname, ret == ENOENT ? "missing" : "zero"));
+                        DEBUG(SSSDBG_TRACE_LIBS, "The group %s gid was %s\n",
+                              groupname, ret == ENOENT ? "missing" : "zero");
                         DEBUG(SSSDBG_TRACE_FUNC,
-                              ("Marking group %s as non-posix and setting GID=0!\n",
-                              groupname));
+                              "Marking group %s as non-posix and setting GID=0!\n",
+                              groupname);
                         gid = 0;
                         posix = false;
                     } else if (ret) {
-                        DEBUG(1, ("The GID attribute is malformed\n"));
+                        DEBUG(1, "The GID attribute is malformed\n");
                         goto done;
                     }
                 }
@@ -188,12 +188,12 @@ static errno_t sdap_add_incomplete_groups(struct sysdb_ctx *sysdb,
                                              SYSDB_ORIG_DN,
                                              &original_dn);
                 if (ret) {
-                    DEBUG(5, ("The group has no name original DN\n"));
+                    DEBUG(5, "The group has no name original DN\n");
                     original_dn = NULL;
                 }
 
                 DEBUG(SSSDBG_TRACE_INTERNAL,
-                      ("Adding fake group %s to sysdb\n", groupname));
+                      "Adding fake group %s to sysdb\n", groupname);
                 ret = sysdb_add_incomplete_group(sysdb, domain, groupname, gid,
                                                  original_dn, sid_str, posix,
                                                  now);
@@ -205,7 +205,7 @@ static errno_t sdap_add_incomplete_groups(struct sysdb_ctx *sysdb,
         }
 
         if (ai == ldap_groups_count) {
-            DEBUG(2, ("Group %s not present in LDAP\n", missing[i]));
+            DEBUG(2, "Group %s not present in LDAP\n", missing[i]);
             ret = EINVAL;
             goto done;
         }
@@ -213,7 +213,7 @@ static errno_t sdap_add_incomplete_groups(struct sysdb_ctx *sysdb,
 
     ret = sysdb_transaction_commit(sysdb);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("sysdb_transaction_commit failed.\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "sysdb_transaction_commit failed.\n");
         goto done;
     }
     in_transaction = false;
@@ -223,7 +223,7 @@ done:
     if (in_transaction) {
         sret = sysdb_transaction_cancel(sysdb);
         if (sret != EOK) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to cancel transaction\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Failed to cancel transaction\n");
         }
     }
     talloc_free(tmp_ctx);
@@ -262,8 +262,8 @@ int sdap_initgr_common_store(struct sysdb_ctx *sysdb,
                 opts->group_map[SDAP_AT_GROUP_NAME].name,
                 &ldap_grouplist);
         if (ret != EOK) {
-            DEBUG(1, ("sysdb_attrs_primary_name_list failed [%d]: %s\n",
-                      ret, strerror(ret)));
+            DEBUG(1, "sysdb_attrs_primary_name_list failed [%d]: %s\n",
+                      ret, strerror(ret));
             goto done;
         }
     }
@@ -277,7 +277,7 @@ int sdap_initgr_common_store(struct sysdb_ctx *sysdb,
 
     ret = sysdb_transaction_start(sysdb);
     if (ret != EOK) {
-        DEBUG(1, ("Failed to start transaction\n"));
+        DEBUG(1, "Failed to start transaction\n");
         goto done;
     }
     in_transaction = true;
@@ -290,24 +290,24 @@ int sdap_initgr_common_store(struct sysdb_ctx *sysdb,
                                          add_groups, ldap_groups,
                                          ldap_groups_count);
         if (ret != EOK) {
-            DEBUG(1, ("Adding incomplete users failed\n"));
+            DEBUG(1, "Adding incomplete users failed\n");
             goto done;
         }
     }
 
-    DEBUG(8, ("Updating memberships for %s\n", name));
+    DEBUG(8, "Updating memberships for %s\n", name);
     ret = sysdb_update_members(sysdb, domain, name, type,
                                (const char *const *) add_groups,
                                (const char *const *) del_groups);
     if (ret != EOK) {
-        DEBUG(1, ("Membership update failed [%d]: %s\n",
-                  ret, strerror(ret)));
+        DEBUG(1, "Membership update failed [%d]: %s\n",
+                  ret, strerror(ret));
         goto done;
     }
 
     ret = sysdb_transaction_commit(sysdb);
     if (ret != EOK) {
-        DEBUG(1, ("Failed to commit transaction\n"));
+        DEBUG(1, "Failed to commit transaction\n");
         goto done;
     }
     in_transaction = false;
@@ -317,7 +317,7 @@ done:
     if (in_transaction) {
         tret = sysdb_transaction_cancel(sysdb);
         if (tret != EOK) {
-            DEBUG(1, ("Failed to cancel transaction\n"));
+            DEBUG(1, "Failed to cancel transaction\n");
         }
     }
     talloc_zfree(tmp_ctx);
@@ -381,7 +381,7 @@ struct tevent_req *sdap_initgr_rfc2307_send(TALLOC_CTX *memctx,
 
     if (!state->search_bases) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Initgroups lookup request without a group search base\n"));
+              "Initgroups lookup request without a group search base\n");
         ret = EINVAL;
         goto done;
     }
@@ -456,8 +456,8 @@ static errno_t sdap_initgr_rfc2307_next_base(struct tevent_req *req)
     }
 
     DEBUG(SSSDBG_TRACE_FUNC,
-          ("Searching for groups with base [%s]\n",
-           state->search_bases[state->base_iter]->basedn));
+          "Searching for groups with base [%s]\n",
+           state->search_bases[state->base_iter]->basedn);
 
     subreq = sdap_get_generic_send(
             state, state->ev, state->opts, state->sh,
@@ -588,15 +588,15 @@ sdap_nested_groups_store(struct sysdb_ctx *sysdb,
                                             opts->group_map[SDAP_AT_GROUP_NAME].name,
                                             &groupnamelist);
         if (ret != EOK) {
-            DEBUG(3, ("sysdb_attrs_primary_name_list failed [%d]: %s\n",
-                    ret, strerror(ret)));
+            DEBUG(3, "sysdb_attrs_primary_name_list failed [%d]: %s\n",
+                    ret, strerror(ret));
             goto done;
         }
     }
 
     ret = sysdb_transaction_start(sysdb);
     if (ret != EOK) {
-        DEBUG(1, ("Failed to start transaction\n"));
+        DEBUG(1, "Failed to start transaction\n");
         goto done;
     }
     in_transaction = true;
@@ -604,14 +604,14 @@ sdap_nested_groups_store(struct sysdb_ctx *sysdb,
     ret = sdap_add_incomplete_groups(sysdb, domain, opts, groupnamelist,
                                      groups, count);
     if (ret != EOK) {
-        DEBUG(6, ("Could not add incomplete groups [%d]: %s\n",
-                   ret, strerror(ret)));
+        DEBUG(6, "Could not add incomplete groups [%d]: %s\n",
+                   ret, strerror(ret));
         goto done;
     }
 
     ret = sysdb_transaction_commit(sysdb);
     if (ret != EOK) {
-        DEBUG(1, ("Failed to commit transaction\n"));
+        DEBUG(1, "Failed to commit transaction\n");
         goto done;
     }
     in_transaction = false;
@@ -621,7 +621,7 @@ done:
     if (in_transaction) {
         tret = sysdb_transaction_cancel(sysdb);
         if (tret != EOK) {
-            DEBUG(1, ("Failed to cancel transaction\n"));
+            DEBUG(1, "Failed to cancel transaction\n");
         }
     }
 
@@ -744,13 +744,13 @@ static struct tevent_req *sdap_initgr_nested_send(TALLOC_CTX *memctx,
 
     ret = sdap_get_user_primary_name(memctx, opts, user, dom, &state->username);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("User entry had no username\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "User entry had no username\n");
         goto immediate;
     }
 
     ret = sysdb_attrs_get_el(state->user, SYSDB_MEMBEROF, &state->memberof);
     if (ret || !state->memberof || state->memberof->num_values == 0) {
-        DEBUG(4, ("User entry lacks original memberof ?\n"));
+        DEBUG(4, "User entry lacks original memberof ?\n");
         /* We can't find any groups for this user, so we'll
          * have to assume there aren't any. Just return
          * success here.
@@ -955,8 +955,8 @@ static void sdap_initgr_nested_search(struct tevent_req *subreq)
         state->groups_cur++;
     } else {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Search for group %s, returned %zu results. Skipping\n",
-               state->group_dns[state->cur], count));
+              "Search for group %s, returned %zu results. Skipping\n",
+               state->group_dns[state->cur], count);
     }
 
     state->cur++;
@@ -1002,7 +1002,7 @@ static void sdap_initgr_nested_store(struct tevent_req *req)
 
     ret = sysdb_transaction_start(state->sysdb);
     if (ret != EOK) {
-        DEBUG(1, ("Failed to start transaction\n"));
+        DEBUG(1, "Failed to start transaction\n");
         goto fail;
     }
     in_transaction = true;
@@ -1010,30 +1010,30 @@ static void sdap_initgr_nested_store(struct tevent_req *req)
     /* save the groups if they are not already */
     ret = sdap_initgr_store_groups(state);
     if (ret != EOK) {
-        DEBUG(3, ("Could not save groups [%d]: %s\n",
-                  ret, strerror(ret)));
+        DEBUG(3, "Could not save groups [%d]: %s\n",
+                  ret, strerror(ret));
         goto fail;
     }
 
     /* save the group memberships */
     ret = sdap_initgr_store_group_memberships(state);
     if (ret != EOK) {
-        DEBUG(3, ("Could not save group memberships [%d]: %s\n",
-                  ret, strerror(ret)));
+        DEBUG(3, "Could not save group memberships [%d]: %s\n",
+                  ret, strerror(ret));
         goto fail;
     }
 
     /* save the user memberships */
     ret = sdap_initgr_store_user_memberships(state);
     if (ret != EOK) {
-        DEBUG(3, ("Could not save user memberships [%d]: %s\n",
-                  ret, strerror(ret)));
+        DEBUG(3, "Could not save user memberships [%d]: %s\n",
+                  ret, strerror(ret));
         goto fail;
     }
 
     ret = sysdb_transaction_commit(state->sysdb);
     if (ret != EOK) {
-        DEBUG(1, ("Failed to commit transaction\n"));
+        DEBUG(1, "Failed to commit transaction\n");
         goto fail;
     }
     in_transaction = false;
@@ -1045,7 +1045,7 @@ fail:
     if (in_transaction) {
         tret = sysdb_transaction_cancel(state->sysdb);
         if (tret != EOK) {
-            DEBUG(1, ("Failed to cancel transaction\n"));
+            DEBUG(1, "Failed to cancel transaction\n");
         }
     }
     tevent_req_error(req, ret);
@@ -1101,8 +1101,8 @@ sdap_initgr_store_group_memberships(struct sdap_initgr_nested_state *state)
                                                      state->groups_cur,
                                                      &miter);
         if (ret) {
-            DEBUG(3, ("Could not compute memberships for group %d [%d]: %s\n",
-                      i, ret, strerror(ret)));
+            DEBUG(3, "Could not compute memberships for group %d [%d]: %s\n",
+                      i, ret, strerror(ret));
             goto done;
         }
 
@@ -1111,7 +1111,7 @@ sdap_initgr_store_group_memberships(struct sdap_initgr_nested_state *state)
 
     ret = sysdb_transaction_start(state->sysdb);
     if (ret != EOK) {
-        DEBUG(1, ("Failed to start transaction\n"));
+        DEBUG(1, "Failed to start transaction\n");
         goto done;
     }
     in_transaction = true;
@@ -1122,14 +1122,14 @@ sdap_initgr_store_group_memberships(struct sdap_initgr_nested_state *state)
                                    (const char *const *) miter->add,
                                    (const char *const *) miter->del);
         if (ret != EOK) {
-            DEBUG(3, ("Failed to update memberships\n"));
+            DEBUG(3, "Failed to update memberships\n");
             goto done;
         }
     }
 
     ret = sysdb_transaction_commit(state->sysdb);
     if (ret != EOK) {
-        DEBUG(1, ("Failed to commit transaction\n"));
+        DEBUG(1, "Failed to commit transaction\n");
         goto done;
     }
     in_transaction = false;
@@ -1139,7 +1139,7 @@ done:
     if (in_transaction) {
         tret = sysdb_transaction_cancel(state->sysdb);
         if (tret != EOK) {
-            DEBUG(1, ("Failed to cancel transaction\n"));
+            DEBUG(1, "Failed to cancel transaction\n");
         }
     }
     talloc_free(tmp_ctx);
@@ -1174,7 +1174,7 @@ sdap_initgr_store_user_memberships(struct sdap_initgr_nested_state *state)
     /* Get direct LDAP parents */
     ret = sysdb_attrs_get_string(state->user, SYSDB_ORIG_DN, &orig_dn);
     if (ret != EOK) {
-        DEBUG(2, ("The user has no original DN\n"));
+        DEBUG(2, "The user has no original DN\n");
         goto done;
     }
 
@@ -1189,7 +1189,7 @@ sdap_initgr_store_user_memberships(struct sdap_initgr_nested_state *state)
     for (i=0; i < state->groups_cur ; i++) {
         ret = sysdb_attrs_get_el(state->groups[i], SYSDB_MEMBER, &el);
         if (ret) {
-            DEBUG(3, ("A group with no members during initgroups?\n"));
+            DEBUG(3, "A group with no members during initgroups?\n");
             goto done;
         }
 
@@ -1203,8 +1203,8 @@ sdap_initgr_store_user_memberships(struct sdap_initgr_nested_state *state)
         }
     }
 
-    DEBUG(7, ("The user %s is a direct member of %d LDAP groups\n",
-              state->username, nparents));
+    DEBUG(7, "The user %s is a direct member of %d LDAP groups\n",
+              state->username, nparents);
 
     if (nparents == 0) {
         ldap_parent_name_list = NULL;
@@ -1215,8 +1215,8 @@ sdap_initgr_store_user_memberships(struct sdap_initgr_nested_state *state)
                                             state->opts->group_map[SDAP_AT_GROUP_NAME].name,
                                             &ldap_parent_name_list);
         if (ret != EOK) {
-            DEBUG(1, ("sysdb_attrs_primary_name_list failed [%d]: %s\n",
-                      ret, strerror(ret)));
+            DEBUG(1, "sysdb_attrs_primary_name_list failed [%d]: %s\n",
+                      ret, strerror(ret));
             goto done;
         }
     }
@@ -1225,8 +1225,8 @@ sdap_initgr_store_user_memberships(struct sdap_initgr_nested_state *state)
                                    SYSDB_MEMBER_USER,
                                    state->username, &sysdb_parent_name_list);
     if (ret) {
-        DEBUG(1, ("Could not get direct sysdb parents for %s: %d [%s]\n",
-                   state->username, ret, strerror(ret)));
+        DEBUG(1, "Could not get direct sysdb parents for %s: %d [%s]\n",
+                   state->username, ret, strerror(ret));
         goto done;
     }
 
@@ -1239,19 +1239,19 @@ sdap_initgr_store_user_memberships(struct sdap_initgr_nested_state *state)
 
     ret = sysdb_transaction_start(state->sysdb);
     if (ret != EOK) {
-        DEBUG(1, ("Failed to start transaction\n"));
+        DEBUG(1, "Failed to start transaction\n");
         goto done;
     }
     in_transaction = true;
 
-    DEBUG(8, ("Updating memberships for %s\n", state->username));
+    DEBUG(8, "Updating memberships for %s\n", state->username);
     ret = sysdb_update_members(state->sysdb, state->dom,
                                state->username, SYSDB_MEMBER_USER,
                                (const char *const *) add_groups,
                                (const char *const *) del_groups);
     if (ret != EOK) {
-        DEBUG(1, ("Could not update sysdb memberships for %s: %d [%s]\n",
-                  state->username, ret, strerror(ret)));
+        DEBUG(1, "Could not update sysdb memberships for %s: %d [%s]\n",
+                  state->username, ret, strerror(ret));
         goto done;
     }
 
@@ -1266,7 +1266,7 @@ done:
     if (in_transaction) {
         tret = sysdb_transaction_cancel(state->sysdb);
         if (tret != EOK) {
-            DEBUG(1, ("Failed to cancel transaction\n"));
+            DEBUG(1, "Failed to cancel transaction\n");
         }
     }
     talloc_zfree(tmp_ctx);
@@ -1311,8 +1311,8 @@ sdap_initgr_nested_get_membership_diff(TALLOC_CTX *mem_ctx,
                                    SYSDB_MEMBER_GROUP,
                                    group_name, &sysdb_parents_names_list);
     if (ret) {
-        DEBUG(1, ("Could not get direct sysdb parents for %s: %d [%s]\n",
-                   group_name, ret, strerror(ret)));
+        DEBUG(1, "Could not get direct sysdb parents for %s: %d [%s]\n",
+                   group_name, ret, strerror(ret));
         goto done;
     }
 
@@ -1324,12 +1324,12 @@ sdap_initgr_nested_get_membership_diff(TALLOC_CTX *mem_ctx,
                                                 &ldap_parentlist,
                                                 &parents_count);
     if (ret != EOK) {
-        DEBUG(1, ("Cannot get parent groups for %s [%d]: %s\n",
-                  group_name, ret, strerror(ret)));
+        DEBUG(1, "Cannot get parent groups for %s [%d]: %s\n",
+                  group_name, ret, strerror(ret));
         goto done;
     }
-    DEBUG(7, ("The group %s is a direct member of %d LDAP groups\n",
-               group_name, parents_count));
+    DEBUG(7, "The group %s is a direct member of %d LDAP groups\n",
+               group_name, parents_count);
 
     if (parents_count > 0) {
         ret = sysdb_attrs_primary_name_list(sysdb, tmp_ctx,
@@ -1338,8 +1338,8 @@ sdap_initgr_nested_get_membership_diff(TALLOC_CTX *mem_ctx,
                                             opts->group_map[SDAP_AT_GROUP_NAME].name,
                                             &ldap_parent_names_list);
         if (ret != EOK) {
-            DEBUG(1, ("sysdb_attrs_primary_name_list failed [%d]: %s\n",
-                        ret, strerror(ret)));
+            DEBUG(1, "sysdb_attrs_primary_name_list failed [%d]: %s\n",
+                        ret, strerror(ret));
             goto done;
         }
     }
@@ -1347,8 +1347,8 @@ sdap_initgr_nested_get_membership_diff(TALLOC_CTX *mem_ctx,
     ret = build_membership_diff(tmp_ctx, group_name, ldap_parent_names_list,
                                 sysdb_parents_names_list, &mdiff);
     if (ret != EOK) {
-        DEBUG(3, ("Could not build membership diff for %s [%d]: %s\n",
-                  group_name, ret, strerror(ret)));
+        DEBUG(3, "Could not build membership diff for %s [%d]: %s\n",
+                  group_name, ret, strerror(ret));
         goto done;
     }
 
@@ -1388,10 +1388,10 @@ static int sdap_initgr_nested_get_direct_parents(TALLOC_CTX *mem_ctx,
 
     ret = sysdb_attrs_get_string(attrs, SYSDB_ORIG_DN, &orig_dn);
     if (ret != EOK) {
-        DEBUG(3, ("Missing originalDN\n"));
+        DEBUG(3, "Missing originalDN\n");
         goto done;
     }
-    DEBUG(9, ("Looking up direct parents for group [%s]\n", orig_dn));
+    DEBUG(9, "Looking up direct parents for group [%s]\n", orig_dn);
 
     /* FIXME - Filter only parents from full set to avoid searching
      * through all members of huge groups. That requires asking for memberOf
@@ -1402,7 +1402,7 @@ static int sdap_initgr_nested_get_direct_parents(TALLOC_CTX *mem_ctx,
     for (i=0; i < ngroups; i++) {
         ret = sysdb_attrs_get_el(groups[i], SYSDB_MEMBER, &member);
         if (ret) {
-            DEBUG(7, ("A group with no members during initgroups?\n"));
+            DEBUG(7, "A group with no members during initgroups?\n");
             continue;
         }
 
@@ -1417,7 +1417,7 @@ static int sdap_initgr_nested_get_direct_parents(TALLOC_CTX *mem_ctx,
     }
     direct_groups[ndirect] = NULL;
 
-    DEBUG(9, ("The group [%s] has %d direct parents\n", orig_dn, ndirect));
+    DEBUG(9, "The group [%s] has %d direct parents\n", orig_dn, ndirect);
 
     *_direct_parents = talloc_steal(mem_ctx, direct_groups);
     *_ndirect = ndirect;
@@ -1513,7 +1513,7 @@ static struct tevent_req *sdap_initgr_rfc2307bis_send(
 
     if (!state->search_bases) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Initgroups lookup request without a group search base\n"));
+              "Initgroups lookup request without a group search base\n");
         ret = EINVAL;
         goto done;
     }
@@ -1605,8 +1605,8 @@ static errno_t sdap_initgr_rfc2307bis_next_base(struct tevent_req *req)
     }
 
     DEBUG(SSSDBG_TRACE_FUNC,
-          ("Searching for parent groups for user [%s] with base [%s]\n",
-           state->orig_dn, state->search_bases[state->base_iter]->basedn));
+          "Searching for parent groups for user [%s] with base [%s]\n",
+           state->orig_dn, state->search_bases[state->base_iter]->basedn);
 
     subreq = sdap_get_generic_send(
             state, state->ev, state->opts, state->sh,
@@ -1646,7 +1646,7 @@ static void sdap_initgr_rfc2307bis_process(struct tevent_req *subreq)
         return;
     }
     DEBUG(SSSDBG_TRACE_LIBS,
-          ("Found %zu parent groups for user [%s]\n", count, state->name));
+          "Found %zu parent groups for user [%s]\n", count, state->name);
 
     /* Add this batch of groups to the list */
     if (count > 0) {
@@ -1734,7 +1734,7 @@ static void sdap_initgr_rfc2307bis_done(struct tevent_req *subreq)
 
     ret = sysdb_transaction_start(state->sysdb);
     if (ret != EOK) {
-        DEBUG(1, ("Failed to start transaction\n"));
+        DEBUG(1, "Failed to start transaction\n");
         goto fail;
     }
     in_transaction = true;
@@ -1742,27 +1742,27 @@ static void sdap_initgr_rfc2307bis_done(struct tevent_req *subreq)
     /* save the groups if they are not cached */
     ret = save_rfc2307bis_groups(state);
     if (ret != EOK) {
-        DEBUG(3, ("Could not save groups memberships [%d]", ret));
+        DEBUG(3, "Could not save groups memberships [%d]", ret);
         goto fail;
     }
 
     /* save the group membership */
     ret = save_rfc2307bis_group_memberships(state);
     if (ret != EOK) {
-        DEBUG(3, ("Could not save group memberships [%d]", ret));
+        DEBUG(3, "Could not save group memberships [%d]", ret);
         goto fail;
     }
 
     /* save the user memberships */
     ret = save_rfc2307bis_user_memberships(state);
     if (ret != EOK) {
-        DEBUG(3, ("Could not save user memberships [%d]", ret));
+        DEBUG(3, "Could not save user memberships [%d]", ret);
         goto fail;
     }
 
     ret = sysdb_transaction_commit(state->sysdb);
     if (ret != EOK) {
-        DEBUG(1, ("Failed to commit transaction\n"));
+        DEBUG(1, "Failed to commit transaction\n");
         goto fail;
     }
     in_transaction = false;
@@ -1774,7 +1774,7 @@ fail:
     if (in_transaction) {
         tret = sysdb_transaction_cancel(state->sysdb);
         if (tret != EOK) {
-            DEBUG(1, ("Failed to cancel transaction\n"));
+            DEBUG(1, "Failed to cancel transaction\n");
         }
     }
     tevent_req_error(req, ret);
@@ -1835,8 +1835,8 @@ save_rfc2307bis_groups(struct sdap_initgr_rfc2307bis_state *state)
     ret = sdap_nested_groups_store(state->sysdb, state->dom, state->opts,
                                    groups, count);
     if (ret != EOK) {
-        DEBUG(3, ("Could not save groups [%d]: %s\n",
-                  ret, strerror(ret)));
+        DEBUG(3, "Could not save groups [%d]: %s\n",
+                  ret, strerror(ret));
         goto done;
     }
 
@@ -1889,7 +1889,7 @@ save_rfc2307bis_group_memberships(struct sdap_initgr_rfc2307bis_state *state)
 
     ret = sysdb_transaction_start(state->sysdb);
     if (ret != EOK) {
-        DEBUG(1, ("Failed to start transaction\n"));
+        DEBUG(1, "Failed to start transaction\n");
         goto done;
     }
     in_transaction = true;
@@ -1928,14 +1928,14 @@ save_rfc2307bis_group_memberships(struct sdap_initgr_rfc2307bis_state *state)
                                   (const char *const *) add,
                                   (const char *const *) iter->del);
         if (ret != EOK) {
-            DEBUG(3, ("Failed to update memberships\n"));
+            DEBUG(3, "Failed to update memberships\n");
             goto done;
         }
     }
 
     ret = sysdb_transaction_commit(state->sysdb);
     if (ret != EOK) {
-        DEBUG(1, ("Failed to commit transaction\n"));
+        DEBUG(1, "Failed to commit transaction\n");
         goto done;
     }
     in_transaction = false;
@@ -1945,7 +1945,7 @@ done:
     if (in_transaction) {
         tret = sysdb_transaction_cancel(state->sysdb);
         if (tret != EOK) {
-            DEBUG(1, ("Failed to cancel transaction\n"));
+            DEBUG(1, "Failed to cancel transaction\n");
         }
     }
     talloc_free(tmp_ctx);
@@ -1979,8 +1979,8 @@ rfc2307bis_group_memberships_build(hash_entry_t *item, void *user_data)
                                    SYSDB_MEMBER_GROUP,
                                    group_name, &sysdb_parents_names_list);
     if (ret) {
-        DEBUG(1, ("Could not get direct sysdb parents for %s: %d [%s]\n",
-                  group_name, ret, strerror(ret)));
+        DEBUG(1, "Could not get direct sysdb parents for %s: %d [%s]\n",
+                  group_name, ret, strerror(ret));
         goto done;
     }
 
@@ -1997,8 +1997,8 @@ rfc2307bis_group_memberships_build(hash_entry_t *item, void *user_data)
     ret = build_membership_diff(tmp_ctx, group_name, ldap_parents_names_list,
                                 sysdb_parents_names_list, &mdiff);
     if (ret != EOK) {
-        DEBUG(3, ("Could not build membership diff for %s [%d]: %s\n",
-                  group_name, ret, strerror(ret)));
+        DEBUG(3, "Could not build membership diff for %s [%d]: %s\n",
+                  group_name, ret, strerror(ret));
         goto done;
     }
 
@@ -2028,10 +2028,10 @@ errno_t save_rfc2307bis_user_memberships(
         return ENOMEM;
     }
 
-    DEBUG(7, ("Save parent groups to sysdb\n"));
+    DEBUG(7, "Save parent groups to sysdb\n");
     ret = sysdb_transaction_start(state->sysdb);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to start transaction\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to start transaction\n");
         goto error;
     }
     in_transaction = true;
@@ -2040,8 +2040,8 @@ errno_t save_rfc2307bis_user_memberships(
                                    SYSDB_MEMBER_USER,
                                    state->name, &sysdb_parent_name_list);
     if (ret) {
-        DEBUG(1, ("Could not get direct sysdb parents for %s: %d [%s]\n",
-                   state->name, ret, strerror(ret)));
+        DEBUG(1, "Could not get direct sysdb parents for %s: %d [%s]\n",
+                   state->name, ret, strerror(ret));
         goto error;
     }
 
